using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 隐患原因表
    /// </summary>
    [Description("隐患原因表")]
    public class T_BS_RISK_REASON : MesEntityBase  
    {
        /// <summary>
        /// 编号
        /// </summary>
        [Description("编号")]
        [DataFieldLength(20)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [CUnique]
        public string CODE { get; set; }

        /// <summary> 
        /// 隐患原因
        /// </summary>
        [Description("隐患原因")]
        [DataFieldLength(100)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string NAME { get; set; }

        /// <summary>
        /// 启用标志
        /// </summary>
        [Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }

        /// <summary>
        /// 排序号
        /// </summary>
        [Description("排序号")]
        public int NUM { get; set; }
    }
}
